Subject: [dnsext] DNS Documentation Project

From: Alex Nicoll <[email-masked]>
Date: Tue, 4 Jan 2011 09:24:30 -0500

Good Morning All!  (yes, I'm well aware that you over achievers in Europe have been at work for six hours already. ;)

As I mentioned back in December, I would very much like to put together a formal set of documentation for the DNS protocol.  My intent is to produce documentation that those who wish to create their own DNS client or server implementations can use to definitively answer the questions "Am I Done?" and "Did I Get It Right?".   Some of you have given me a large number of pointers already, and I am very grateful for those!    If anyone has additional pointers, particularly to past attempts at documentation of the entire standard (including all relevant RFCs), I would be very appreciative if you could pass those on to me.

I intend to start on this project immediately.  If any of you wish to help, please let me know!

-Alex

(Disclaimer:  I'm not the smartest guy on this list. I'm not even close to being the most knowledgeable.  You can always join in to help me not make mistakes!)

Alex Nicoll
CERT
Carnegie Mellon University/Software Engineering Institute
[email-masked]<mailto:[email-masked]>
(412)268-9205 (USA)